Skip to main content
`Ctrl`+`K`

# EPSSetEigenvalueComparison

Specifies the eigenvalue comparison function when `EPSSetWhichEigenpairs()` is set to `EPS_WHICH_USER`.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetEigenvalueComparison(EPS eps,SlepcEigenvalueComparisonFn *func,void *ctx)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- func - the comparison function, see `SlepcEigenvalueComparisonFn` for the calling sequence

- ctx - a context pointer (the last parameter to the comparison function)

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetWhichEigenpairs()`, `EPSWhich`

## Level

advanced

## Location

src/eps/interface/epsopts.c

## Examples

src/eps/tutorials/ex18.c
src/eps/tutorials/ex57.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages